%global mod_name webassets
%if 0%{?fedora}
%global with_python3 1
%else
%global with_python3 0
%endif

Name:           python-webassets
Version:        0.9
Release:        3%{?dist}
Summary:        Media asset management for python
Group:          Development/Libraries
License:        BSD
URL:            http://github.com/miracle2k/%{mod_name}
Source0:        https://pypi.python.org/packages/source/w/%{mod_name}/%{mod_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-setuptools
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-setuptools
%endif


%description
Merges, minifies and compresses Javascript and CSS files, 
supporting a variety of different filters, including YUI, 
jsmin, jspacker or CSS tidy. Also supports URL rewriting in CSS files.

%if 0%{?with_python3}
%package -n python3-webassets
Summary:        Media asset management for python

%description -n python3-webassets
Merges, minifies and compresses Javascript and CSS files, 
supporting a variety of different filters, including YUI, 
jsmin, jspacker or CSS tidy. Also supports URL rewriting in CSS files.
%endif


%prep
%setup -q -n %{mod_name}-%{version}
sed -i "s|\r||g" README.rst
sed -i "s|\r||g" docs/index.rst
sed -i "s|\r||g" docs/conf.py
sed -i "s|\r||g" docs/builtin_filters.rst
sed -i "s|\r||g" docs/Makefile
sed -i "s|\r||g" docs/make.bat
sed -i "s|\r||g" docs/faq.rst

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
sed -i -e '/^#!\//, 1d' $RPM_BUILD_ROOT%{python_sitelib}/%{mod_name}/filter/rjsmin/rjsmin.py
 
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
sed -i -e '/^#!\//, 1d' $RPM_BUILD_ROOT%{python3_sitelib}/%{mod_name}/filter/rjsmin/rjsmin.py
popd
%endif

%files
%doc docs/ README.rst CHANGES LICENSE PKG-INFO
%{_bindir}/%{mod_name}
%{python_sitelib}/*.egg-info/
%{python_sitelib}/%{mod_name}/

%if 0%{?with_python3}
%files -n python3-webassets
%doc docs/ README.rst CHANGES LICENSE PKG-INFO
%{_bindir}/%{mod_name}
%{python3_sitelib}/*.egg-info/
%{python3_sitelib}/%{mod_name}/
%endif

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Thu Nov 14 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.9-1
- Updated to new source and added python3 support 

* Tue Sep 24 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.8-3
- Added python-setuptools as requires. 

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 1 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.8-1
- New Release 

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Aug  8 2012 Tom Callaway <spot@fedoraproject.org> - 0.7.1-1
- 0.7.1 (cleaned out jsmin.py)

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat May 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-1
- New release

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.5-1
- Initial RPM release
